#
# spec file for package gmult
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gmult
Version:        8.0
Release:        lp150.1.1
Summary:        Math game to solve multiplication problem
License:        GPL-3.0
Group:          Productivity/Scientific/Math
Url:            http://mterry.name/gmult/
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  intltool
BuildRequires:  gettext-devel
BuildRequires:  gtk3-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Multiplication Puzzle is a simple game that emulates the multiplication game found in Emacs. Basically, a multiplication problem is shown with all digits replaced by letters. Your job is to guess which letter represents which number.

%prep
%setup -q

%build
%configure LIBS="-lm"

%install
make DESTDIR=%{buildroot} install
%suse_update_desktop_file -n %{name} Education Math
%find_lang %{name}

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS README NEWS THANKS
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Mon Mar 25 2013 joop.boonen@opensuse.org
- Update to version 8.0
* Mon Dec  8 2008 kirill.kirillov@gmail.com
- Initial build of 7.0
